<?php

/**
 * Demo Import.
 *
 * This is the template that includes all the other files for core featured of Theme Palace
 *
 * @package Theme Palace
 * @subpackage Blogslog Pro
 * @since Blogslog Pro 1.0.0
 * 
 */


function blogslog_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Theme Palace Demo Import' , 'blogslog-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'blogslog_pro_ctdi_plugin_page_setup' );


function blogslog_pro_ctdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Pro Demo', 'blogslog-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/blogslog-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/blogslog-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/blogslog-pro-customizer.dat',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'blogslog-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/blogslog-pro',
        )
    );
}

add_filter( 'cp-ctdi/import_files', 'blogslog_pro_ctdi_import_files' );



function blogslog_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
   $main_menu = get_term_by( 'name', 'Header Menu', 'nav_menu' );
    $secondary_menu = get_term_by( 'name', 'Secondary Menu', 'nav_menu' );
    $social = get_term_by('name', 'Social Menu', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
            'secondary' => $secondary_menu->term_id,
            'social' => $social->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id =  get_page_by_title( 'Home' );
    $blog_page_id  =  get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id );
    update_option( 'page_for_posts', $blog_page_id );

}
add_action( 'cp-ctdi/after_import', 'blogslog_pro_ctdi_after_import_setup' );

